# Get Users

This endpoint returns users who have current or historical shared workspace access with the user who the API key belongs to.

Endpoint: GET /api/v1/users
Version: 1.0.0
Security: x-api-key

## Query parameters:

  - `page[size]` (integer)
    The number of items to return. If not specified, the API will return a default of 500 items, which is the maximum value.
    Example: 100

  - `page[cursor]` (string)
    Pagination cursor that indicates the starting position for the next set of items
    Example: "5e94d5b63f557b001420bbe3"

  - `allowRedirect` (boolean)
    If set to true, the API will return a 303 redirect response if the response payload is too large. The field body.data.url will include the URL to the actual resource.
    Example: true

## Response 200 fields (application/json):

  - `data` (array)
    Array of Users

  - `data.id` (string)
    Id of the user
    Example: "5e94d5b63f557b001420bbe3"

  - `data.name` (string)
    The full name of the user
    Example: "First Last"

  - `data.email` (string)
    The email address of the user
    Example: "email@example.com"

  - `data.accountStatus` (string)
    The account status of the user
    Enum: "pending", "active", "deactivated"

  - `data.accountRole` (object)
    The role of the user across FloQast
    Example: {"id":"5e94d5b63f557b001420bbe3","name":"USER"}

  - `data.accountRole.id` (string)
    Role Id
    Example: "5e94d5b63f557b001420bbe3"

  - `data.accountRole.name` (string)
    Role Name
    Example: "USER"

  - `data.auditProjectRole` (object,null)
    The role of the user in Audit Projects
    Example: {"id":"5e94d5b63f557b001420bbe3","name":"USER"}

  - `data.auditProjectRole.id` (string)
    Role Id
    Example: "5e94d5b63f557b001420bbe3"

  - `data.auditProjectRole.name` (string)
    Role Name
    Example: "USER"

  - `data.lastLoginDate` (string,null)
    The date and time the user last logged into the FloQast application
    Example: "2024-06-01T20:20:39.000Z"

  - `links` (object)

  - `links.self` (string)
    Link to self
    Example: "/api/v1/users&page[size]=100&page[cursor]=5e94d5b63f557b001420bbe3"

  - `links.next` (string,null)
    Pagination link pointing to the next page. If there are no more items, this field will be null.
    Example: "/api/v1/users?page[size]=100&page[cursor]=63b88f2cb1f05200179e7857"

## Response 400 fields (application/json):

  - `message` (object)
    Reason for the errors related to incorrect query keys or values that are out of bound

  - `message.errors` (array)
    Array of errors

  - `message.errors.field` (string)
    The query key that is incorrect
    Example: "page[size]"

  - `message.errors.message` (string)
    Reason for the error
    Example: "page[size] must be a number"

  - `name` (string)
    BadRequest
    Example: "BadRequest"

  - `status` (integer)
    The HTTP status code.
    Example: 400

## Response 401 fields (application/json):

  - `message` (string)
    Reason for the error such as incorrect service access, malformed, expired or deactivated token.
    Example: "Invalid token"

  - `name` (string)
    Unauthorized
    Example: "Unauthorized"

  - `status` (integer)
    The HTTP status code.
    Example: 401


